Bug 1434696 - If group has assigned permission in engine and its name is updated on LDAP server, the group name is not updated within webadmin
Summary: If group has assigned permission in engine and its name is updated on LDAP se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1445945
TreeView+ depends on / blocked
 
Reported: 2017-03-22 08:11 UTC by Yoshinori Takahashi
Modified: 2020-07-15 08:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1445945 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:41:09 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:42:35 UTC
oVirt gerrit 75442 0 master MERGED aaa: Synchronize group names during user login 2020-10-24 06:56:55 UTC
oVirt gerrit 75576 0 ovirt-engine-4.1 MERGED aaa: Synchronize group names during user login 2020-10-24 06:56:55 UTC

Comment 2 Martin Perina 2017-03-22 12:34:04 UTC
This issue exists since 3.5 when we decided to remove engine users/groups database <-> LDAP synchronization due to performance reasons. In 4.0 we started to update users' attributes and groups memberships when user logs in into webadmin/userportal, but we forgot about group names.

So the proposed solution is to update group name in engine database when member of this group successfully logs in into webadmin/userportal.

Comment 3 rhev-integ 2017-04-26 08:44:08 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND NON-ACKED FLAGS: {'rhevm-4.1.z': '?'}]

For more info please contact: rhv-devops@redhat.com

Comment 4 rhev-integ 2017-04-26 10:03:39 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND NON-ACKED FLAGS: {'rhevm-4.1.z': '?'}]

For more info please contact: rhv-devops@redhat.com

Comment 5 rhev-integ 2017-04-26 10:49:36 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND NON-ACKED FLAGS: {'rhevm-4.1.z': '?'}]

For more info please contact: rhv-devops@redhat.com

Comment 8 Gonza 2018-01-29 12:57:18 UTC
Verified with:
ovirt-engine-4.2.0.2-0.1.el7.noarch
ovirt-engine-extension-aaa-ldap-1.3.6-1.el7ev.noarch

Comment 11 errata-xmlrpc 2018-05-15 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 12 Franta Kust 2019-05-16 13:04:56 UTC
BZ<2>Jira Resync

Comment 13 Daniel Gur 2019-08-28 12:57:48 UTC
sync2jira

Comment 14 Daniel Gur 2019-08-28 13:02:57 UTC
sync2jira

Comment 15 Daniel Gur 2019-08-28 13:12:29 UTC
sync2jira

Comment 16 Daniel Gur 2019-08-28 13:16:41 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.